## EDBusCalendarFactorySkeleton EDBusCalendarFactorySkeleton |

## Functions

GDBusInterfaceInfo * | e_dbus_calendar_factory_interface_info ()
guint | e_dbus_calendar_factory_override_properties ()
void | e_dbus_calendar_factory_complete_open_calendar ()
void | e_dbus_calendar_factory_complete_open_task_list ()
void | e_dbus_calendar_factory_complete_open_memo_list ()
void | e_dbus_calendar_factory_call_open_calendar ()
gboolean | e_dbus_calendar_factory_call_open_calendar_finish ()
gboolean | e_dbus_calendar_factory_call_open_calendar_sync ()
void | e_dbus_calendar_factory_call_open_task_list ()
gboolean | e_dbus_calendar_factory_call_open_task_list_finish ()
gboolean | e_dbus_calendar_factory_call_open_task_list_sync ()
void | e_dbus_calendar_factory_call_open_memo_list ()
gboolean | e_dbus_calendar_factory_call_open_memo_list_finish ()
gboolean | e_dbus_calendar_factory_call_open_memo_list_sync ()
void | e_dbus_calendar_factory_proxy_new ()
EDBusCalendarFactory * | e_dbus_calendar_factory_proxy_new_finish ()
EDBusCalendarFactory * | e_dbus_calendar_factory_proxy_new_sync ()
void | e_dbus_calendar_factory_proxy_new_for_bus ()
EDBusCalendarFactory * | e_dbus_calendar_factory_proxy_new_for_bus_finish ()
EDBusCalendarFactory * | e_dbus_calendar_factory_proxy_new_for_bus_sync ()
EDBusCalendarFactory * | e_dbus_calendar_factory_skeleton_new ()

## Signals

gboolean | handle-open-calendar | Run Last
gboolean | handle-open-memo-list | Run Last
gboolean | handle-open-task-list | Run Last

## Types and Values

struct | EDBusCalendarFactoryIface
struct | EDBusCalendarFactoryProxy
struct | EDBusCalendarFactoryProxyClass
struct | EDBusCalendarFactorySkeleton
struct | EDBusCalendarFactorySkeletonClass
| EDBusCalendarFactory
| EDBusCalendarFactoryProxyPrivate
| EDBusCalendarFactorySkeletonPrivate

## Object Hierarchy

        GInterface
        ╰── EDBusCalendarFactory
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── EDBusCalendarFactorySkeleton
        ╰── GDBusProxy
            ╰── EDBusCalendarFactoryProxy

## Prerequisites

EDBusCalendarFactory requires GObject.

## Implemented Interfaces

EDBusCalendarFactoryProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusCalendarFactory.

EDBusCalendarFactorySkeleton implements GDBusInterface and EDBusCalendarFactory.

## Known Implementations

EDBusCalendarFactory is implemented by EDBusCalendarFactoryProxy and EDBusCalendarFactorySkeleton.

## Description

## Functions

### e_dbus_calendar_factory_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_calendar_factory_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.CalendarFactory D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.8

### e_dbus_calendar_factory_override_properties ()

    guint
    e_dbus_calendar_factory_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusCalendarFactory interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.8

### e_dbus_calendar_factory_complete_open_calendar ()

    void
    e_dbus_calendar_factory_complete_open_calendar
                                   (EDBusCalendarFactory *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *object_path,
                                    const gchar *bus_name);

Helper function used in service implementations to finish handling invocations of the `OpenCalendar()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendarFactory. |
invocation | A GDBusMethodInvocation. | [transfer full]
object_path | Parameter to return. |
bus_name | Parameter to return. |

Since: 3.8

### e_dbus_calendar_factory_complete_open_task_list ()

    void
    e_dbus_calendar_factory_complete_open_task_list
                                   (EDBusCalendarFactory *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *object_path,
                                    const gchar *bus_name);

Helper function used in service implementations to finish handling invocations of the `OpenTaskList()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendarFactory. |
invocation | A GDBusMethodInvocation. | [transfer full]
object_path | Parameter to return. |
bus_name | Parameter to return. |

Since: 3.8

### e_dbus_calendar_factory_complete_open_memo_list ()

    void
    e_dbus_calendar_factory_complete_open_memo_list
                                   (EDBusCalendarFactory *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *object_path,
                                    const gchar *bus_name);

Helper function used in service implementations to finish handling invocations of the `OpenMemoList()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendarFactory. |
invocation | A GDBusMethodInvocation. | [transfer full]
object_path | Parameter to return. |
bus_name | Parameter to return. |

Since: 3.8

### e_dbus_calendar_factory_call_open_calendar ()

    void
    e_dbus_calendar_factory_call_open_calendar
                                   (EDBusCalendarFactory *proxy,
                                    const gchar *arg_source_uid,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `OpenCalendar()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_factory_call_open_calendar_finish()` to get the result of the operation.

See `e_dbus_calendar_factory_call_open_calendar_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarFactoryProxy. |
arg_source_uid | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.8

### e_dbus_calendar_factory_call_open_calendar_finish ()

    gboolean
    e_dbus_calendar_factory_call_open_calendar_finish
                                   (EDBusCalendarFactory *proxy,
                                    gchar **out_object_path,
                                    gchar **out_bus_name,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_factory_call_open_calendar()`.

#### Parameters

proxy | A EDBusCalendarFactoryProxy. |
out_object_path | Return location for return parameter or `NULL` to ignore. | [out]
out_bus_name | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_factory_call_open_calendar()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.8

### e_dbus_calendar_factory_call_open_calendar_sync ()

    gboolean
    e_dbus_calendar_factory_call_open_calendar_sync
                                   (EDBusCalendarFactory *proxy,
                                    const gchar *arg_source_uid,
                                    gchar **out_object_path,
                                    gchar **out_bus_name,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `OpenCalendar()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_factory_call_open_calendar()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarFactoryProxy. |
arg_source_uid | Argument to pass with the method invocation. |
out_object_path | Return location for return parameter or `NULL` to ignore. | [out]
out_bus_name | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.8

### e_dbus_calendar_factory_call_open_task_list ()

    void
    e_dbus_calendar_factory_call_open_task_list
                                   (EDBusCalendarFactory *proxy,
                                    const gchar *arg_source_uid,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `OpenTaskList()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_factory_call_open_task_list_finish()` to get the result of the operation.

See `e_dbus_calendar_factory_call_open_task_list_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarFactoryProxy. |
arg_source_uid | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.8

### e_dbus_calendar_factory_call_open_task_list_finish ()

    gboolean
    e_dbus_calendar_factory_call_open_task_list_finish
                                   (EDBusCalendarFactory *proxy,
                                    gchar **out_object_path,
                                    gchar **out_bus_name,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_factory_call_open_task_list()`.

#### Parameters

proxy | A EDBusCalendarFactoryProxy. |
out_object_path | Return location for return parameter or `NULL` to ignore. | [out]
out_bus_name | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_factory_call_open_task_list()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.8

### e_dbus_calendar_factory_call_open_task_list_sync ()

    gboolean
    e_dbus_calendar_factory_call_open_task_list_sync
                                   (EDBusCalendarFactory *proxy,
                                    const gchar *arg_source_uid,
                                    gchar **out_object_path,
                                    gchar **out_bus_name,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `OpenTaskList()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_factory_call_open_task_list()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarFactoryProxy. |
arg_source_uid | Argument to pass with the method invocation. |
out_object_path | Return location for return parameter or `NULL` to ignore. | [out]
out_bus_name | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.8

### e_dbus_calendar_factory_call_open_memo_list ()

    void
    e_dbus_calendar_factory_call_open_memo_list
                                   (EDBusCalendarFactory *proxy,
                                    const gchar *arg_source_uid,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `OpenMemoList()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_factory_call_open_memo_list_finish()` to get the result of the operation.

See `e_dbus_calendar_factory_call_open_memo_list_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarFactoryProxy. |
arg_source_uid | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.8

### e_dbus_calendar_factory_call_open_memo_list_finish ()

    gboolean
    e_dbus_calendar_factory_call_open_memo_list_finish
                                   (EDBusCalendarFactory *proxy,
                                    gchar **out_object_path,
                                    gchar **out_bus_name,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_factory_call_open_memo_list()`.

#### Parameters

proxy | A EDBusCalendarFactoryProxy. |
out_object_path | Return location for return parameter or `NULL` to ignore. | [out]
out_bus_name | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_factory_call_open_memo_list()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.8

### e_dbus_calendar_factory_call_open_memo_list_sync ()

    gboolean
    e_dbus_calendar_factory_call_open_memo_list_sync
                                   (EDBusCalendarFactory *proxy,
                                    const gchar *arg_source_uid,
                                    gchar **out_object_path,
                                    gchar **out_bus_name,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `OpenMemoList()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_factory_call_open_memo_list()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarFactoryProxy. |
arg_source_uid | Argument to pass with the method invocation. |
out_object_path | Return location for return parameter or `NULL` to ignore. | [out]
out_bus_name | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.8

### e_dbus_calendar_factory_proxy_new ()

    void
    e_dbus_calendar_factory_proxy_new (GDBusConnection *connection,
                                       GDBusProxyFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.CalendarFactory. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_factory_proxy_new_finish()` to get the result of the operation.

See `e_dbus_calendar_factory_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.8

### e_dbus_calendar_factory_proxy_new_finish ()

    EDBusCalendarFactory *
    e_dbus_calendar_factory_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_factory_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_factory_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusCalendarFactoryProxy]

Since: 3.8

### e_dbus_calendar_factory_proxy_new_sync ()

    EDBusCalendarFactory *
    e_dbus_calendar_factory_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.CalendarFactory. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_calendar_factory_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusCalendarFactoryProxy]

Since: 3.8

### e_dbus_calendar_factory_proxy_new_for_bus ()

    void
    e_dbus_calendar_factory_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_calendar_factory_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_factory_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_calendar_factory_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.8

### e_dbus_calendar_factory_proxy_new_for_bus_finish ()

    EDBusCalendarFactory *
    e_dbus_calendar_factory_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_factory_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_factory_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusCalendarFactoryProxy]

Since: 3.8

### e_dbus_calendar_factory_proxy_new_for_bus_sync ()

    EDBusCalendarFactory *
    e_dbus_calendar_factory_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_calendar_factory_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_calendar_factory_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusCalendarFactoryProxy]

Since: 3.8

### e_dbus_calendar_factory_skeleton_new ()

    EDBusCalendarFactory *
    e_dbus_calendar_factory_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.CalendarFactory.

#### Returns

The skeleton object.

[transfer full][type EDBusCalendarFactorySkeleton]

Since: 3.8

## Types and Values

### struct EDBusCalendarFactoryIface

    struct EDBusCalendarFactoryIface {
      GTypeInterface parent_iface;

      gboolean (*handle_open_calendar) (
        EDBusCalendarFactory *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_source_uid);

      gboolean (*handle_open_memo_list) (
        EDBusCalendarFactory *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_source_uid);

      gboolean (*handle_open_task_list) (
        EDBusCalendarFactory *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_source_uid);
    };

Virtual table for the D-Bus interface org.gnome.evolution.dataserver.CalendarFactory.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_open_calendar` () | Handler for the “handle-open-calendar” signal. |
`handle_open_memo_list` () | Handler for the “handle-open-memo-list” signal. |
`handle_open_task_list` () | Handler for the “handle-open-task-list” signal. |

Since: 3.8

### struct EDBusCalendarFactoryProxy

    struct EDBusCalendarFactoryProxy;

The EDBusCalendarFactoryProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.8

### struct EDBusCalendarFactoryProxyClass

    struct EDBusCalendarFactoryProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for EDBusCalendarFactoryProxy.

#### Members

Since: 3.8

### struct EDBusCalendarFactorySkeleton

    struct EDBusCalendarFactorySkeleton;

The EDBusCalendarFactorySkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.8

### struct EDBusCalendarFactorySkeletonClass

    struct EDBusCalendarFactorySkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for EDBusCalendarFactorySkeleton.

#### Members

Since: 3.8

### EDBusCalendarFactory

    typedef struct _EDBusCalendarFactory EDBusCalendarFactory;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.CalendarFactory.

Since: 3.8

### EDBusCalendarFactoryProxyPrivate

    typedef struct _EDBusCalendarFactoryProxyPrivate EDBusCalendarFactoryProxyPrivate;

### EDBusCalendarFactorySkeletonPrivate

    typedef struct _EDBusCalendarFactorySkeletonPrivate EDBusCalendarFactorySkeletonPrivate;

## Signal Details

### The `“handle-open-calendar”` signal

    gboolean
    user_function (EDBusCalendarFactory  *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_source_uid,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `OpenCalendar()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_factory_complete_open_calendar()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendarFactory. |
invocation | A GDBusMethodInvocation. |
arg_source_uid | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.8

### The `“handle-open-memo-list”` signal

    gboolean
    user_function (EDBusCalendarFactory  *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_source_uid,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `OpenMemoList()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_factory_complete_open_memo_list()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendarFactory. |
invocation | A GDBusMethodInvocation. |
arg_source_uid | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.8

### The `“handle-open-task-list”` signal

    gboolean
    user_function (EDBusCalendarFactory  *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_source_uid,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `OpenTaskList()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_factory_complete_open_task_list()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendarFactory. |
invocation | A GDBusMethodInvocation. |
arg_source_uid | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.8